Package org.eclipse.emf.compare.provider

## Class CompareItemProviderAdapterFactory

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
  - - org.eclipse.emf.compare.util.CompareAdapterFactory
    - - org.eclipse.emf.compare.provider.CompareItemProviderAdapterFactory

All Implemented Interfaces:
  `AdapterFactory`, `ComposeableAdapterFactory`, `IChangeNotifier`, `IDisposable`

Direct Known Subclasses:
  `CompareItemProviderAdapterFactorySpec`

    public class CompareItemProviderAdapterFactory
    extends CompareAdapterFactory
    implements ComposeableAdapterFactory, IChangeNotifier, IDisposable

This is the factory that is used to provide the interfaces needed to support Viewers. The adapters generated by this factory convert EMF adapter notifications into calls to `fireNotifyChanged`. The adapters also support Eclipse property sheets. Note that most of the adapters are shared among multiple instances.

Generated:

### Field Summary

Fields
`protected IChangeNotifier` `changeNotifier` This is used to implement `IChangeNotifier`.
`static String` `copyright`
`protected Disposable` `disposable` This keeps track of all the item providers created, so that they can be `disposed`.
`protected ComposedAdapterFactory` `parentAdapterFactory` This keeps track of the root adapter factory that delegates to this adapter factory.
`protected Collection<Object>` `supportedTypes` This keeps track of all the supported types checked by `isFactoryForType`.

### Fields inherited from class org.eclipse.emf.compare.util.CompareAdapterFactory

`modelPackage, modelSwitch`

### Constructor Summary

Constructors
`CompareItemProviderAdapterFactory()` This constructs an instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `adapt​(Object object, Object type)`
`Adapter` `adapt​(Notifier notifier, Object type)` This implementation substitutes the factory itself as the key for the adapter.
`void` `addListener​(INotifyChangedListener notifyChangedListener)` This adds a listener.
`protected void` `associate​(Adapter adapter, Notifier target)` Associates an adapter with a notifier via the base implementation, then records it to ensure it will be disposed.
`Adapter` `createAttributeChangeAdapter()` This creates an adapter for a `AttributeChange`.
`Adapter` `createComparisonAdapter()` This creates an adapter for a `Comparison`.
`Adapter` `createConflictAdapter()` This creates an adapter for a `Conflict`.
`Adapter` `createDiffAdapter()` This creates an adapter for a `Diff`.
`Adapter` `createEquivalenceAdapter()` This creates an adapter for a `Equivalence`.
`Adapter` `createFeatureMapChangeAdapter()` This creates an adapter for a `FeatureMapChange`.
`Adapter` `createMatchAdapter()` This creates an adapter for a `Match`.
`Adapter` `createMatchResourceAdapter()` This creates an adapter for a `MatchResource`.
`Adapter` `createReferenceChangeAdapter()` This creates an adapter for a `ReferenceChange`.
`Adapter` `createResourceAttachmentChangeAdapter()` This creates an adapter for a `ResourceAttachmentChange`.
`Adapter` `createResourceLocationChangeAdapter()` This creates an adapter for a `ResourceLocationChange`.
`void` `dispose()` This disposes all of the item providers created by this factory.
`void` `fireNotifyChanged​(Notification notification)` This delegates to `changeNotifier` and to `parentAdapterFactory`.
`ComposeableAdapterFactory` `getRootAdapterFactory()` This returns the root adapter factory that contains this factory.
`boolean` `isFactoryForType​(Object type)`
`void` `removeListener​(INotifyChangedListener notifyChangedListener)` This removes a listener.
`void` `setParentAdapterFactory​(ComposedAdapterFactory parentAdapterFactory)` This sets the composed adapter factory that contains this factory.

### Methods inherited from class org.eclipse.emf.compare.util.CompareAdapterFactory

`createAdapter, createEObjectAdapter`

### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

`adaptAllNew, adaptNew, createAdapter, resolve`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.common.notify.AdapterFactory

`adaptAllNew, adaptNew`

### Field Detail

#### copyright

    public static final String copyright

See Also:
  Constant Field Values
Generated:

#### parentAdapterFactory

    protected ComposedAdapterFactory parentAdapterFactory

This keeps track of the root adapter factory that delegates to this adapter factory.

Generated:

#### changeNotifier

    protected IChangeNotifier changeNotifier

This is used to implement `IChangeNotifier`.

Generated:

#### disposable

    protected Disposable disposable

This keeps track of all the item providers created, so that they can be `disposed`.

Since:
  4.0
Generated:

#### supportedTypes

    protected Collection<Object> supportedTypes

This keeps track of all the supported types checked by `isFactoryForType`.

Generated:

### Constructor Detail

#### CompareItemProviderAdapterFactory

    public CompareItemProviderAdapterFactory()

This constructs an instance.

Generated:

### Method Detail

#### createComparisonAdapter

    public Adapter createComparisonAdapter()

This creates an adapter for a `Comparison`.

Overrides:
  `createComparisonAdapter` in class `CompareAdapterFactory`
Returns:
  the new adapter.
See Also:
  `Comparison`
Generated:

#### createMatchResourceAdapter

    public Adapter createMatchResourceAdapter()

This creates an adapter for a `MatchResource`.

Overrides:
  `createMatchResourceAdapter` in class `CompareAdapterFactory`
Returns:
  the new adapter.
See Also:
  `MatchResource`
Generated:

#### createMatchAdapter

    public Adapter createMatchAdapter()

This creates an adapter for a `Match`.

Overrides:
  `createMatchAdapter` in class `CompareAdapterFactory`
Returns:
  the new adapter.
See Also:
  `Match`
Generated:

#### createDiffAdapter

    public Adapter createDiffAdapter()

This creates an adapter for a `Diff`.

Overrides:
  `createDiffAdapter` in class `CompareAdapterFactory`
Returns:
  the new adapter.
See Also:
  `Diff`
Generated:

#### createResourceAttachmentChangeAdapter

    public Adapter createResourceAttachmentChangeAdapter()

This creates an adapter for a `ResourceAttachmentChange`.

Overrides:
  `createResourceAttachmentChangeAdapter` in class `CompareAdapterFactory`
Returns:
  the new adapter.
See Also:
  `ResourceAttachmentChange`
Generated:

#### createResourceLocationChangeAdapter

    public Adapter createResourceLocationChangeAdapter()

This creates an adapter for a `ResourceLocationChange`.

Overrides:
  `createResourceLocationChangeAdapter` in class `CompareAdapterFactory`
Returns:
  the new adapter.
See Also:
  `ResourceLocationChange`
Generated:

#### createReferenceChangeAdapter

    public Adapter createReferenceChangeAdapter()

This creates an adapter for a `ReferenceChange`.

Overrides:
  `createReferenceChangeAdapter` in class `CompareAdapterFactory`
Returns:
  the new adapter.
See Also:
  `ReferenceChange`
Generated:

#### createAttributeChangeAdapter

    public Adapter createAttributeChangeAdapter()

This creates an adapter for a `AttributeChange`.

Overrides:
  `createAttributeChangeAdapter` in class `CompareAdapterFactory`
Returns:
  the new adapter.
See Also:
  `AttributeChange`
Generated:

#### createFeatureMapChangeAdapter

    public Adapter createFeatureMapChangeAdapter()

This creates an adapter for a `FeatureMapChange`.

Overrides:
  `createFeatureMapChangeAdapter` in class `CompareAdapterFactory`
Returns:
  the new adapter.
See Also:
  `FeatureMapChange`
Generated:

#### createConflictAdapter

    public Adapter createConflictAdapter()

This creates an adapter for a `Conflict`.

Overrides:
  `createConflictAdapter` in class `CompareAdapterFactory`
Returns:
  the new adapter.
See Also:
  `Conflict`
Generated:

#### createEquivalenceAdapter

    public Adapter createEquivalenceAdapter()

This creates an adapter for a `Equivalence`.

Overrides:
  `createEquivalenceAdapter` in class `CompareAdapterFactory`
Returns:
  the new adapter.
See Also:
  `Equivalence`
Generated:

#### getRootAdapterFactory

    public ComposeableAdapterFactory getRootAdapterFactory()

This returns the root adapter factory that contains this factory.

Specified by:
  `getRootAdapterFactory` in interface `ComposeableAdapterFactory`
Generated:

#### setParentAdapterFactory

    public void setParentAdapterFactory​(ComposedAdapterFactory parentAdapterFactory)

This sets the composed adapter factory that contains this factory.

Specified by:
  `setParentAdapterFactory` in interface `ComposeableAdapterFactory`
Generated:

#### isFactoryForType

    public boolean isFactoryForType​(Object type)

Specified by:
  `isFactoryForType` in interface `AdapterFactory`
Overrides:
  `isFactoryForType` in class `CompareAdapterFactory`
Returns:
  whether this factory is applicable for the type of the object.
Generated:

#### adapt

    public Adapter adapt​(Notifier notifier,
                         Object type)

This implementation substitutes the factory itself as the key for the adapter.

Specified by:
  `adapt` in interface `AdapterFactory`
Overrides:
  `adapt` in class `AdapterFactoryImpl`
Generated:

#### adapt

    public Object adapt​(Object object,
                        Object type)

Specified by:
  `adapt` in interface `AdapterFactory`
Overrides:
  `adapt` in class `AdapterFactoryImpl`
Generated:

#### associate

    protected void associate​(Adapter adapter,
                             Notifier target)

Associates an adapter with a notifier via the base implementation, then records it to ensure it will be disposed.

Overrides:
  `associate` in class `AdapterFactoryImpl`
Generated:

#### addListener

    public void addListener​(INotifyChangedListener notifyChangedListener)

This adds a listener.

Specified by:
  `addListener` in interface `IChangeNotifier`
Generated:

#### removeListener

    public void removeListener​(INotifyChangedListener notifyChangedListener)

This removes a listener.

Specified by:
  `removeListener` in interface `IChangeNotifier`
Generated:

#### fireNotifyChanged

    public void fireNotifyChanged​(Notification notification)

This delegates to `changeNotifier` and to `parentAdapterFactory`.

Specified by:
  `fireNotifyChanged` in interface `IChangeNotifier`
Generated:

#### dispose

    public void dispose()

This disposes all of the item providers created by this factory.

Specified by:
  `dispose` in interface `IDisposable`
Generated: